Bug 848189 - [abrt] gnome-shell-3.5.4-5.fc18: cogl_object_unref: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.5.4-5.fc18: cogl_object_unref: Process /usr/bin/gnome-sh...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:c165263b1698751cf7c8fd18eed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 16:56 EDT by Adam Williamson
Modified: 2015-02-17 09:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:24:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.34 KB, text/plain)
2012-08-14 16:56 EDT, Adam Williamson
no flags Details
File: environ (1.59 KB, text/plain)
2012-08-14 16:56 EDT, Adam Williamson
no flags Details
File: backtrace (30.14 KB, text/plain)
2012-08-14 16:56 EDT, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2012-08-14 16:56 EDT, Adam Williamson
no flags Details
File: cgroup (128 bytes, text/plain)
2012-08-14 16:57 EDT, Adam Williamson
no flags Details
File: maps (89.02 KB, text/plain)
2012-08-14 16:57 EDT, Adam Williamson
no flags Details
File: dso_list (21.30 KB, text/plain)
2012-08-14 16:57 EDT, Adam Williamson
no flags Details
File: var_log_messages (31.65 KB, text/plain)
2012-08-14 16:57 EDT, Adam Williamson
no flags Details
File: open_fds (1.44 KB, text/plain)
2012-08-14 16:57 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2012-08-14 16:56:51 EDT
Description of problem:
I didn't do anything specific to trigger it: was reporting another bug in abrt at the time, with various other apps running.

Version-Release number of selected component:
gnome-shell-3.5.4-5.fc18

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: cogl_object_unref
kernel:         3.6.0-0.rc1.git5.1.1.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 cogl_object_unref at ./cogl-object.c
: #1 cogl_handle_unref at ./cogl-object.c
: #2 build_and_scan_frame_mask at compositor/meta-window-actor.c
: #3 check_needs_reshape at compositor/meta-window-actor.c
: #4 meta_window_actor_pre_paint at compositor/meta-window-actor.c
: #5 pre_paint_windows at compositor/compositor.c
: #6 meta_repaint_func at compositor/compositor.c
: #7 _clutter_run_repaint_functions at ./clutter-main.c
: #8 master_clock_update_stages at ./clutter-master-clock.c
: #9 clutter_clock_dispatch at ./clutter-master-clock.c
Comment 1 Adam Williamson 2012-08-14 16:56:54 EDT
Created attachment 604456 [details]
File: core_backtrace
Comment 2 Adam Williamson 2012-08-14 16:56:56 EDT
Created attachment 604457 [details]
File: environ
Comment 3 Adam Williamson 2012-08-14 16:56:57 EDT
Created attachment 604458 [details]
File: backtrace
Comment 4 Adam Williamson 2012-08-14 16:56:59 EDT
Created attachment 604459 [details]
File: limits
Comment 5 Adam Williamson 2012-08-14 16:57:01 EDT
Created attachment 604460 [details]
File: cgroup
Comment 6 Adam Williamson 2012-08-14 16:57:03 EDT
Created attachment 604461 [details]
File: maps
Comment 7 Adam Williamson 2012-08-14 16:57:06 EDT
Created attachment 604462 [details]
File: dso_list
Comment 8 Adam Williamson 2012-08-14 16:57:09 EDT
Created attachment 604463 [details]
File: var_log_messages
Comment 9 Adam Williamson 2012-08-14 16:57:12 EDT
Created attachment 604464 [details]
File: open_fds
Comment 10 Bastien Nocera 2012-09-20 08:18:49 EDT
Opened a popup menu in Epiphany.

This is reproduceable at will on my laptop when opening a popup menu taller than the screen in epiphany (such as a bugzilla product drop-down).


backtrace_rating: 4
Package: gnome-shell-3.5.91-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 11 Dan Williams 2012-09-20 17:21:30 EDT
(In reply to comment #10)
> Opened a popup menu in Epiphany.
> 
> This is reproduceable at will on my laptop when opening a popup menu taller
> than the screen in epiphany (such as a bugzilla product drop-down).
> 
> 
> backtrace_rating: 4
> Package: gnome-shell-3.5.91-1.fc18
> OS Release: Fedora release 18 (Spherical Cow)

Which begs the question of *why* it's taller than the screen, and not truncated to the screen height with up/down arrows for scrolling...
Comment 12 Bastien Nocera 2012-09-20 17:39:42 EDT
See upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=684170
Comment 13 V'Ger Roby 2012-10-17 21:42:17 EDT
I was messing with Gnome-MPlayer settings,
In particular i was on the second sheet of the preferences, trying to change the language.

I changed some options in the first sheet just a few seconds before.

The crash occurred as soon as i clicked on the list menu.


backtrace_rating: 4
Package: gnome-shell-3.6.0-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 14 Mildred 2013-01-16 04:43:19 EST
I was on gnome-terminal, trying to resize the window so it would be larger than the screen (output was truncated otherwise).

It seem there is strong evidence to suggest this bug is related to windows that are bigger than the screen.

The real upstream bug is: https://bugzilla.gnome.org/show_bug.cgi?id=681676 (684170 is a duplicate). And it seems the issue has been fixed already.
Comment 15 Fedora End Of Life 2013-04-03 12:40:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 16 Fedora End Of Life 2015-01-09 12:19:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-17 09:24:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.